diff --git a/src/cjson.c b/src/cjson.c
index ba215530b..807bd5435 100644
--- a/src/cjson.c
+++ b/src/cjson.c
@@ -30,7 +30,9 @@
 #include <float.h>
 #include <limits.h>
 #include <ctype.h>
-#include <stdint.h>  
+#ifdef HAVE_STDINT_H
+#include <stdint.h> 
+#endif
 #include <sys/types.h>
 #include "cjson.h"
 
